RESTinio

Namespaces | Functions
from_string.hpp File Reference
`#include <cctype>`
`#include <string>`
`#include <limits>`
`#include <stdexcept>`
`#include <algorithm>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/string_view.hpp>`
`#include <restinio/exception.hpp>`
`#include "from_string_details.ipp"`

Go to the source code of this file.

## Namespaces
namespace | restinio
namespace | restinio::utils

## Functions
template<typename Value_Type >
Value_Type | restinio::utils::from_string (string_view_t s)
| Get a value from string. More...
template<>
std::string | restinio::utils::from_string< std::string > (string_view_t s)
| Get a value from string. More...
template<>
string_view_t | restinio::utils::from_string< string_view_t > (string_view_t s)
| Get a value from string_view. More...
void | restinio::utils::read_value (std::int64_t &v, const char *data, std::size_t size)
| Read int values. More...
void | restinio::utils::read_value (std::uint64_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (std::int32_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (std::uint32_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (std::int16_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (std::uint16_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (std::int8_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (std::uint8_t &v, const char *data, std::size_t size)
void | restinio::utils::read_value (float &v, const char *data, std::size_t size)
| Read float values. More...
void | restinio::utils::read_value (double &v, const char *data, std::size_t size)